Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.FocusHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTreeUI.FocusHandler

All Implemented Interfaces:
  EventListener, FocusListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.FocusHandler
extends Object
implements FocusListener

Repaints the lead selection row when focus is lost/gained.

Constructor Summary
`BasicTreeUI.FocusHandler()`

Method Summary
`void` | `focusGained(FocusEvent e)` Invoked when focus is activated on the tree we're in, redraws the lead row.
`void` | `focusLost(FocusEvent e)` Invoked when focus is activated on the tree we're in, redraws the lead row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.FocusHandler

    public BasicTreeUI.FocusHandler()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Invoked when focus is activated on the tree we're in, redraws the lead row.

  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Invoked when focus is activated on the tree we're in, redraws the lead row.

  Specified by:
    `focusLost` in interface `FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.